/*
 * Copyright (C) 2005 NTT DATA Corporation
 * 
 */
package org.postgresforest.tool.bean;

import java.util.Date;


public class BrokenLogInfo {
	
    static public final String FOREST_BROKEN_LOG = "FOREST_BROKEN_LOG";
    
    //serverid | datetime | client | msg | status | query
	//TODOMASU コンフィグレーションIDっているの？
    /** コンフィグレーションID */
	protected String m_configId  = FOREST_BROKEN_LOG; 
	/** 障害が発生したサーバのID */
	protected int m_serverid = 0; 
	/** 障害の発生時刻 */
	protected Date m_datetime =new Date();
	/** 障害の発生に関連のあるクライアント */
	protected String m_client = ""; 
	/** 障害時のエラーメッセージ */
	protected String m_msg = ""; 
	/** 障害時のエラーステータスコード */
	protected String m_status = ""; 
	/** 障害時のQUERY文字列 */
	protected String m_query = ""; 
	
	/** Server URL */
	protected String m_ServerUrl = "";

	/**
	 * @return Returns the m_client.
	 */
	public String getClient() {
		return m_client;
	}
	/**
	 * @param m_client The m_client to set.
	 */
	public void setClient(String client) {
		this.m_client = client;
	}
	/**
	 * @return Returns the m_configId.
	 */
	public String getConfigId() {
		return m_configId;
	}
	/**
	 * @param id The m_configId to set.
	 */
	public void setConfigId(String id) {
		m_configId = id;
	}
	/**
	 * @return Returns the m_datetime.
	 */
	public Date getDatetime() {
		return m_datetime;
	}
	/**
	 * @param m_datetime The m_datetime to set.
	 */
	public void setDatetime(Date datetime) {
		this.m_datetime = datetime;
	}
	/**
	 * @return Returns the m_msg.
	 */
	public String getMsg() {
		return m_msg;
	}
	/**
	 * @param m_msg The m_msg to set.
	 */
	public void setMsg(String msg) {
		this.m_msg = msg;
	}
	/**
	 * @return Returns the m_query.
	 */
	public String getQuery() {
		return m_query;
	}
	/**
	 * @param m_query The m_query to set.
	 */
	public void setQuery(String query) {
		this.m_query = query;
	}
	/**
	 * @return Returns the m_serverid.
	 */
	public int getServerid() {
		return m_serverid;
	}
	/**
	 * @param m_serverid The m_serverid to set.
	 */
	public void setServerid(int serverid) {
		this.m_serverid = serverid;
	}
	/**
	 * @return Returns the m_status.
	 */
	public String getStatus() {
		return m_status;
	}
	/**
	 * @param m_status The m_status to set.
	 */
	public void setStatus(String status) {
		this.m_status = status;
	}
	/**
	 * @return Returns the m_ServerUrl.
	 */
	public String getServerUrl() {
		return m_ServerUrl;
	}
	/**
	 * @param serverUrl The m_ServerUrl to set.
	 */
	public void setServerUrl(String serverUrl) {
		this.m_ServerUrl = serverUrl;
	}
}
